
Application: gvSIG desktop - gvSIG bugs #3099
Exception writing 'Shape' caused by UnsupportedGeometryType: Point2D
01/08/2015 04:09 PM - Antonio Falciano

Status: Closed % Done: 0%
Priority: Normal Spent time: 0.00 hour
Assignee: Francisco Díaz Carsí
Category: Geoprocess
Target version: 2.3.0-2437
Severity: Major Add-on version:
gvSIG version: 2.1.0 Add-on build:
gvSIG build: 2262 Add-on resolve version:
Operative System: Add-on resolve build:
Keywords: Proyecto:
Has patch: Hito:
Add-on name: Unknown
Description
Steps in order to reproduce this bug:
    -  create a random vector layer;
    -  execute the "Bounding box" geoprocess.
Result:
    -  the output layer is apparently empty, but the console reports:

    [...]
Caused by: Error executing action in resource 'MultiResource
C:\Users\Antonio\AppData\Local\Temp\tmp-andami\14207291743741.shp::
FileResource(C:\Users\Antonio\AppData\Local\Temp\tmp-andami\14207291743741.shp),
FileResource(C:\Users\Antonio\AppData\Local\Temp\tmp-andami\14207291743741.shx),
FileResource(C:\Users\Antonio\AppData\Local\Temp\tmp-andami\14207291743741.dbf),
FileResource(C:\Users\Antonio\AppData\Local\Temp\tmp-andami\14207291743741.shp),
FileResource(C:\Users\Antonio\AppData\Local\Temp\tmp-andami\14207291743741.shx),
FileResource(C:\Users\Antonio\AppData\Local\Temp\tmp-andami\14207291743741.dbf) (default)'.
    at org.gvsig.fmap.dal.resource.spi.AbstractResource.execute(AbstractResource.java:318)
    at org.gvsig.fmap.dal.store.shp.SHPStoreProvider.append(SHPStoreProvider.java:564)
    at org.gvsig.fmap.dal.feature.impl.DefaultFeatureStore.insert(DefaultFeatureStore.java:1021)
    ... 10 more
Caused by: org.gvsig.fmap.dal.exception.WriteException: Exception writing 'Shape'.
    at org.gvsig.fmap.dal.store.shp.SHPFeatureWriter.append(SHPFeatureWriter.java:141)
    at org.gvsig.fmap.dal.store.shp.SHPStoreProvider$4.run(SHPStoreProvider.java:566)
    at org.gvsig.fmap.dal.resource.spi.AbstractResource.performExecution(AbstractResource.java:327)
    at org.gvsig.fmap.dal.resource.spi.AbstractResource.execute(AbstractResource.java:316)
    ... 12 more
Caused by: java.lang.RuntimeException: UnsupportedGeometryType: Point2D
    ... 16 more
org.gvsig.fmap.dal.feature.exception.StoreInsertFeatureException: Can't insert feature in store '14207291743741s'.
    at org.gvsig.fmap.dal.feature.impl.DefaultFeatureStore.insert(DefaultFeatureStore.java:1034)
    at org.gvsig.geoprocess.lib.sextante.dataObjects.FlyrVectIVectorLayer.addFeature(FlyrVectIVectorLayer.java:349)
    at es.unex.sextante.vectorTools.boundingbox.BoundingBoxAlgorithm.processAlgorithm(BoundingBoxAlgorithm.java:45)
    at es.unex.sextante.core.GeoAlgorithm.execute(GeoAlgorithm.java:227)
    at es.unex.sextante.core.GeoAlgorithm.execute(GeoAlgorithm.java:173)
    at es.unex.sextante.core.ProcessTask.call(ProcessTask.java:59)
    at es.unex.sextante.core.ProcessTask.call(ProcessTask.java:13)
    at java.util.concurrent.FutureTask.run(FutureTask.java:262)
    at java.util.concurrent.ThreadPoolExecutor.runWorker(ThreadPoolExecutor.java:1145)
    at java.util.concurrent.ThreadPoolExecutor$Worker.run(ThreadPoolExecutor.java:615)
    at java.lang.Thread.run(Thread.java:745)
Caused by: Error executing action in resource 'MultiResource
C:\Users\Antonio\AppData\Local\Temp\tmp-andami\14207291743741.shp::
FileResource(C:\Users\Antonio\AppData\Local\Temp\tmp-andami\14207291743741.shp),
FileResource(C:\Users\Antonio\AppData\Local\Temp\tmp-andami\14207291743741.shx),
FileResource(C:\Users\Antonio\AppData\Local\Temp\tmp-andami\14207291743741.dbf),
FileResource(C:\Users\Antonio\AppData\Local\Temp\tmp-andami\14207291743741.shp),
FileResource(C:\Users\Antonio\AppData\Local\Temp\tmp-andami\14207291743741.shx),
FileResource(C:\Users\Antonio\AppData\Local\Temp\tmp-andami\14207291743741.dbf) (default)'.
    at org.gvsig.fmap.dal.resource.spi.AbstractResource.execute(AbstractResource.java:318)
    at org.gvsig.fmap.dal.store.shp.SHPStoreProvider.append(SHPStoreProvider.java:564)
    at org.gvsig.fmap.dal.feature.impl.DefaultFeatureStore.insert(DefaultFeatureStore.java:1021)
    ... 10 more
Caused by: org.gvsig.fmap.dal.exception.WriteException: Exception writing 'Shape'.
    at org.gvsig.fmap.dal.store.shp.SHPFeatureWriter.append(SHPFeatureWriter.java:141)
    at org.gvsig.fmap.dal.store.shp.SHPStoreProvider$4.run(SHPStoreProvider.java:566)
    at org.gvsig.fmap.dal.resource.spi.AbstractResource.performExecution(AbstractResource.java:327)
    at org.gvsig.fmap.dal.resource.spi.AbstractResource.execute(AbstractResource.java:316)
    ... 12 more
Caused by: java.lang.RuntimeException: UnsupportedGeometryType: Point2D
    ... 16 more
org.gvsig.fmap.dal.feature.exception.StoreInsertFeatureException: Can't insert feature in store '14207291743741s'.
    at org.gvsig.fmap.dal.feature.impl.DefaultFeatureStore.insert(DefaultFeatureStore.java:1034)
    at org.gvsig.geoprocess.lib.sextante.dataObjects.FlyrVectIVectorLayer.addFeature(FlyrVectIVectorLayer.java:349)
    at es.unex.sextante.vectorTools.boundingbox.BoundingBoxAlgorithm.processAlgorithm(BoundingBoxAlgorithm.java:45)
    at es.unex.sextante.core.GeoAlgorithm.execute(GeoAlgorithm.java:227)
    at es.unex.sextante.core.GeoAlgorithm.execute(GeoAlgorithm.java:173)
    at es.unex.sextante.core.ProcessTask.call(ProcessTask.java:59)
    at es.unex.sextante.core.ProcessTask.call(ProcessTask.java:13)
    at java.util.concurrent.FutureTask.run(FutureTask.java:262)
    at java.util.concurrent.ThreadPoolExecutor.runWorker(ThreadPoolExecutor.java:1145)
    at java.util.concurrent.ThreadPoolExecutor$Worker.run(ThreadPoolExecutor.java:615)
    at java.lang.Thread.run(Thread.java:745)
Caused by: Error executing action in resource 'MultiResource
C:\Users\Antonio\AppData\Local\Temp\tmp-andami\14207291743741.shp::
FileResource(C:\Users\Antonio\AppData\Local\Temp\tmp-andami\14207291743741.shp),
FileResource(C:\Users\Antonio\AppData\Local\Temp\tmp-andami\14207291743741.shx),
FileResource(C:\Users\Antonio\AppData\Local\Temp\tmp-andami\14207291743741.dbf),
FileResource(C:\Users\Antonio\AppData\Local\Temp\tmp-andami\14207291743741.shp),
FileResource(C:\Users\Antonio\AppData\Local\Temp\tmp-andami\14207291743741.shx),
FileResource(C:\Users\Antonio\AppData\Local\Temp\tmp-andami\14207291743741.dbf) (default)'.
    at org.gvsig.fmap.dal.resource.spi.AbstractResource.execute(AbstractResource.java:318)
    at org.gvsig.fmap.dal.store.shp.SHPStoreProvider.append(SHPStoreProvider.java:564)
    at org.gvsig.fmap.dal.feature.impl.DefaultFeatureStore.insert(DefaultFeatureStore.java:1021)
    ... 10 more
Caused by: org.gvsig.fmap.dal.exception.WriteException: Exception writing 'Shape'.
    at org.gvsig.fmap.dal.store.shp.SHPFeatureWriter.append(SHPFeatureWriter.java:141)
    at org.gvsig.fmap.dal.store.shp.SHPStoreProvider$4.run(SHPStoreProvider.java:566)
    at org.gvsig.fmap.dal.resource.spi.AbstractResource.performExecution(AbstractResource.java:327)
    at org.gvsig.fmap.dal.resource.spi.AbstractResource.execute(AbstractResource.java:316)
    ... 12 more
Caused by: java.lang.RuntimeException: UnsupportedGeometryType: Point2D
    ... 16 more

Related issues:
Related to Application: gvSIG desktop - gvSIG bugs # 3511: The "Bounding box"... Closed 05/22/2015

History
#1 - 11/02/2015 04:41 PM - Álvaro Anguix
- Assignee set to Daniel Martinez

#2 - 06/20/2016 01:19 PM - Joaquín  del Cerro Murciano
- Target version set to 2.3.0-2447-final (rev. org.gvsig.desktop-2.0.153)

#3 - 06/23/2016 01:08 PM - Joaquín  del Cerro Murciano
- Assignee changed from Daniel Martinez to Francisco Díaz Carsí

#4 - 06/24/2016 12:56 PM - Francisco Díaz Carsí
- Related to gvSIG bugs #3511: The "Bounding box" geoprocess applied to a point layer returns an empty layer added

#5 - 06/24/2016 01:03 PM - Francisco Díaz Carsí

Es el mismo error que se produce en la #3511.

Solo ocurre cuando se ha generado, con el "random vector layer" una capa de puntos, cuando la capa generada es de líneas o polígonos el
geoproceso Bounding Box funciona de la manera habitual.

Nota:
Ahora que ya tenemos posibilidad de trabajar con subtipos en los geoprocesos, tal vez sería interesante añadir un nuevo parámetro al geoproceso
"random vector layer" para que el usuario pueda seleccionar el subtipo de la capa a generar. Pero eso sería una Feature Request para la que
deberíamos decidir si merece la pena asignar recursos.

#6 - 07/14/2016 01:35 PM - Francisco Díaz Carsí
- Target version changed from 2.3.0-2447-final (rev. org.gvsig.desktop-2.0.153) to 2.3.0-2437
- Status changed from New to Fixed

#7 - 07/22/2016 12:22 PM - Antonio Falciano
- Status changed from Fixed to Closed
